OBJS = \
	NokiaMain.o \
	Temperature.o \
	S_DS1822.o \
	S_DS1822OD.o \
	SimuLcd.o \
	NokiaLCD.o \
	Sample.o

PROGRAM = NokiaMain.exe 

CXXFLAGS = -g -O2 -DLINUX -Wall -fomit-frame-pointer -I/home/florentb/bench/ToolsLinux/include
LDFLAGS = -L/usr/X11R6/lib -L/home/florentb/bench/ToolsLinux/lib -Wl,-export-dynamic -Llib/unix -lalleg-4.0.3 -lalleg_unsharable -lm

CC = gcc
LD = gcc

all: $(PROGRAM)

clean:
	rm -f $(OBJS) $(PROGRAM) *~ core

install:
	cp $(PROGRAM) /home/florentb/bench/ToolsLinux/bin

$(PROGRAM): $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o $(PROGRAM)

.c.o:
	$(CC) $(CXXFLAGS) -c $<
